TAN(3) | NetBSD Library Functions Manual | TAN(3)

# NAME

tan, tanf — tangent function

# LIBRARY

Math Library (libm, -lm)

# SYNOPSIS

#include <math.h>

double
tan(double x);

float
tanf(float x);

# DESCRIPTION

The tan() and tanf() functions compute the tangent of x (measured in radians). A large magnitude argument may yield a result with little or no significance. For a discussion of error due to roundoff, see math(3).

# RETURN VALUES

The tan() function returns the tangent value.

# SEE ALSO

acos(3), asin(3), atan(3), atan2(3), cos(3), cosh(3), math(3), sin(3), sinh(3), tanh(3)

# STANDARDS

The tan() function conforms to ANSI X3.159-1989 (“ANSI C”).

May 2, 1991 | NetBSD 5.99